# ResolvedDependencyResult

interface ResolvedDependencyResult : DependencyResult

A dependency that was resolved successfully.

## Functions

getFrom
Link copied to clipboard
abstract fun getFrom(): ResolvedComponentResult
getRequested
Link copied to clipboard
abstract fun getRequested(): ComponentSelector
getResolvedVariant
Link copied to clipboard
abstract fun getResolvedVariant(): ResolvedVariantResult
Returns the resolved variant for this dependency.
getSelected
Link copied to clipboard
abstract fun getSelected(): ResolvedComponentResult
Returns the selected component.
isConstraint
Link copied to clipboard
abstract fun isConstraint(): Boolean